Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All Atoms])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms])
 
 file=allatoms.xyz
@@ -14,5 +14,5 @@
 
 AT_SETUP([Selection - All Atoms with Undo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms,undo])
 
 file=allatoms.xyz
@@ -26,5 +26,5 @@
 
 AT_SETUP([Selection - All Atoms with Redo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms,redo])
 
 file=allatoms.xyz
Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All Atoms])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms])
 
 file=box.xyz
@@ -15,5 +15,5 @@
 
 AT_SETUP([Unselection - All Atoms with Undo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms,undo])
 
 file=id0_missing.xyz
@@ -27,5 +27,5 @@
 
 AT_SETUP([Unselection - All Atoms with Redo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms,undo])
 
 file=box.xyz
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms])
 
 file=molecule0.xyz
@@ -20,5 +20,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms,undo])
 
 file=molecule0.xyz
@@ -38,5 +38,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms,redo])
 
 file=molecule0.xyz
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms])
 
 file=molecule0.xyz
@@ -21,5 +21,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms,undo])
 
 file=molecule0.xyz
@@ -39,5 +39,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms,redo])
 
 file=molecule0.xyz
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 # select element by atomic number: 1, 4
 AT_SETUP([Selection - All atoms with specific element by atomic number])
-AT_KEYWORDS([selection,atom,element,atomic number])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element])
 
 file=test-H_missing.xyz
@@ -21,5 +21,5 @@
 
 AT_SETUP([Selection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element,undo])
 
 file=test.xyz
@@ -38,5 +38,5 @@
 
 AT_SETUP([Selection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element,redo])
 
 file=test-H_missing.xyz
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -4,5 +4,5 @@
 # select element by atomic number: 1, 4
 AT_SETUP([Unselection - All atoms with specific element by atomic number])
-AT_KEYWORDS([unselection,atom,element,atomic number])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element])
 
 file=test-H_present.xyz
@@ -22,5 +22,5 @@
 
 AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element,undo])
 
 file=test.xyz
@@ -39,5 +39,5 @@
 
 AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element,redo])
 
 file=test-H_present.xyz
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - atom with specific id])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id])
 # go through all possible ids (0-7) and removed
 i=0
@@ -18,5 +18,5 @@
 
 AT_SETUP([Selection - atom with specific id with Undo])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id,undo])
 # go through all possible ids (0-7) and removed
 i=0
@@ -34,5 +34,5 @@
 
 AT_SETUP([Selection - atom with specific id with Redo])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id,redo])
 # go through all possible ids (0-7) and removed
 i=0
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - atom with specific id])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id])
 # go through all possible ids (0-7) and remove others
 i=0
@@ -19,5 +19,5 @@
 
 AT_SETUP([Unselection - atom with specific id with Undo])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id,undo])
 # go through all possible ids (0-7) and remove others
 i=0
@@ -35,5 +35,5 @@
 
 AT_SETUP([Unselection - atom with specific id with Redo])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id,redo])
 # go through all possible ids (0-7) and remove others
 i=0
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid])
 
 file=allatomsoutsidecuboid.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults with Undo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,undo])
 
 file=allatomsoutsidecuboid.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults with Redo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,redo])
 
 file=allatomsoutsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid])
 
 file=allatomsoutsidecuboid.xyz
@@ -23,5 +23,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,undo])
 
 file=allatomsoutsidecuboid.xyz
@@ -35,5 +35,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,redo])
 
 file=allatomsoutsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid])
 
 file=allatomsinsidecuboid.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid,undo])
 
 file=allatomsinsidecuboid.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid,redo])
 
 file=allatomsinsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere])
 
 file=allatomsoutsidesphere.xyz
@@ -23,5 +23,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere with Undo])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere,undo])
 
 file=allatomsoutsidesphere.xyz
@@ -35,5 +35,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere with Redo])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere,redo])
 
 file=allatomsoutsidesphere.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere])
 
 file=allatomsinsidesphere.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere with Undo])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere,undo])
 
 file=allatomsinsidesphere.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere with Redo])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere,redo])
 
 file=allatomsinsidesphere.xyz
Index: tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Unselection - clear atom selection])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms])
 
 file=box.xyz
@@ -14,5 +14,5 @@
 
 AT_SETUP([Unselection - clear atom selection with Undo])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms,undo])
 
 file=id0_missing.xyz
@@ -26,5 +26,5 @@
 
 AT_SETUP([Unselection - clear atom selection with Redo])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms,redo])
 
 file=box.xyz
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - All Molecules])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - All Molecules with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - All Molecules with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All Molecules])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - All Molecules with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - All Molecules with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
Index: tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Clear molecule selection])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - Clear molecule selection with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - Clear molecule selection with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by formula])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -33,5 +33,5 @@
 
 AT_SETUP([Selection - Molecule by formula with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -63,5 +63,5 @@
 
 AT_SETUP([Selection - Molecule by formula with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by formula])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -33,5 +33,5 @@
 
 AT_SETUP([Unselection - Molecule by formula with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -63,5 +63,5 @@
 
 AT_SETUP([Unselection - Molecule by formula with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by id])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - Molecule by id with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - Molecule by id with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by id])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecule by id with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecule by id with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - Molecules by name])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -16,5 +16,5 @@
 
 AT_SETUP([Selection - Molecules by name with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -30,5 +30,5 @@
 
 AT_SETUP([Selection - Molecules by name with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecules by name])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecules by name with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecules by name with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -16,5 +16,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -30,5 +30,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
